Package oracle.dbtools.plugin.api.types

## Class TypeDependencies<T>

- java.lang.Object
- - oracle.dbtools.plugin.api.types.TypeDependencies<T>

- Type Parameters:
    `T` - The type
  All Implemented Interfaces:
    `java.lang.Iterable<TypeDependency>`

      public class TypeDependencies<T>
      extends java.lang.Object
      implements java.lang.Iterable<TypeDependency>

  Captures the dependencies of a `Class`
  Since:
    19.3.0
  Author:
    cdivilly

- - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `boolean` | `equals​(java.lang.Object obj)` |
    `int` | `hashCode()` |
    `boolean` | `isConcrete()` | Determines if the type can be instantiated.
    `boolean` | `isInstantiable()` | Determines if the type can be instantiated.
    `java.util.Iterator<TypeDependency>` | `iterator()` |
    `int` | `size()` | The number of `TypeDependency` instances
    `java.lang.String` | `toString()` |
    `java.lang.Class<T>` | `type()` | The type

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface java.lang.Iterable

      `forEach, spliterator`

- - ### Method Detail

    - #### equals

          public boolean equals​(java.lang.Object obj)

      Overrides:
        `equals` in class `java.lang.Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `java.lang.Object`

    - #### isConcrete

          public boolean isConcrete()

      Determines if the type can be instantiated.
      Returns:
        true if the type can be instantiated

    - #### isInstantiable

          public boolean isInstantiable()

      Determines if the type can be instantiated.
      Returns:
        true if the type can be instantiated

    - #### iterator

          public java.util.Iterator<TypeDependency> iterator()

      Specified by:
        `iterator` in interface `java.lang.Iterable<T>`

    - #### size

          public int size()

      The number of `TypeDependency` instances
      Returns:
        integer indicating number of `TypeDependency` instances

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

    - #### type

          public java.lang.Class<T> type()

      The type
      Returns:
        `Class` instance